FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Concessions

Get concession information from the Fiskil API.

AI Actions

The Concessions endpoint provides information about concessions and discounts applied to energy accounts.

Endpoints

MethodEndpointDescription
GET/v1/concessionsGet concessions for an end user

The Concession Model

AttributeTypeDescription
idstringUnique concession identifier
account_idstringAssociated energy account ID
typestringType of concession
display_namestringDisplay name of the concession
start_datestringWhen the concession started
end_datestringWhen the concession ends (if applicable)
percentagenumberPercentage discount (if applicable)
fixed_amountnumberFixed amount discount (if applicable)

Example Response

{
  "id": "conc_123",
  "account_id": "energy_acc_123",
  "type": "GOVERNMENT",
  "display_name": "Low Income Household Rebate",
  "start_date": "2023-01-01",
  "end_date": null,
  "percentage": null,
  "fixed_amount": 285.00
}

Get Concessions

Retrieve concession information for an end user's energy accounts.

GET https://api.fiskil.com/v1/concessions

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
account_idstringNoFilter by specific account ID
page[size]integerNoNumber of results (max 1000)
page[after]stringNoCursor for pagination

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/concessions?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/concessions?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const concessions = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/concessions',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

concessions = response.json()

Example Response

{
  "data": [
    {
      "id": "conc_123",
      "account_id": "energy_acc_123",
      "type": "GOVERNMENT",
      "display_name": "Low Income Household Rebate",
      "start_date": "2023-01-01",
      "end_date": null,
      "percentage": null,
      "fixed_amount": 285.00
    },
    {
      "id": "conc_456",
      "account_id": "energy_acc_123",
      "type": "RETAILER",
      "display_name": "Pay On Time Discount",
      "start_date": "2023-01-01",
      "end_date": "2024-01-01",
      "percentage": 10,
      "fixed_amount": null
    }
  ]
}

Concession Types

TypeDescription
GOVERNMENTGovernment-issued concession (e.g., pensioner rebate)
RETAILERRetailer-offered discount
HARDSHIPHardship program discount
LOYALTYCustomer loyalty discount

Related Endpoints

  • Energy Accounts - Get account details
  • Billing - See concessions applied to bills

Was this page helpful?

BillingConsents

On this page

EndpointsThe Concession ModelExample ResponseGet ConcessionsQuery ParametersExample RequestExample ResponseConcession TypesRelated Endpoints